/*
 * @(#)TetrisNP.h
 *
 * Copyright 1994 - 2008  David A. Bagley, bagleyd@tux.org
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/* Next private header file for Tetris */

#ifndef _TetrisNP_h
#define _TetrisNP_h
#include "TetrisP.h"
#include "TetrisN.h"

#ifdef WINVER
extern void destroyNextGame(HBRUSH brush);
extern void resizeNextGame(NextTetrisWidget w);
extern void sizeNextGame(NextTetrisWidget w);
extern void initializeNextGame(NextTetrisWidget w, HBRUSH brush);
extern void exposeNextGame(NextTetrisWidget w);
extern void hideNextGame(NextTetrisWidget w);
extern void ToggleNextGame(NextTetrisWidget w);
extern void enterNextGame(NextTetrisWidget w);
extern void leaveNextGame(NextTetrisWidget w);
extern Boolean DiagonalNextGame(NextTetrisWidget w);
extern void toggleSoundNextGame(NextTetrisWidget w);
extern Boolean MixedNextGame(NextTetrisWidget w);
extern void valueNextGame(NextTetrisWidget w,
	int randomNumber, int randomRotation, int randomRefleection,
	int units, Boolean diagonal, Boolean mixed, Boolean newBonus);
extern void showNextNextGame(NextTetrisWidget w);
extern void setNextGame(NextTetrisWidget w, int reason);
#else

typedef struct _NextTetrisPart
{
	int randomNumber, randomRotation, randomReflection;
	Boolean newBonus;
} NextTetrisPart;
#endif

typedef struct _NextTetrisRec
{
	CorePart core;
	TetrisPart tetris;
#ifndef WINVER
	NextTetrisPart nextTetris;
#endif
} NextTetrisRec;

#ifndef WINVER
/* This gets around C's inability to do inheritance */
typedef struct _NextTetrisClassPart
{
	int ignore;
} NextTetrisClassPart;

typedef struct _NextTetrisClassRec
{
	CoreClassPart coreClass;
	TetrisClassPart tetrisClass;
	NextTetrisClassPart nextTetrisClass;
} NextTetrisClassRec;

extern NextTetrisClassRec nextTetrisClassRec;
#endif
#endif /* _TetrisNP_h */
